# CompactBlockProcessorError

    public enum CompactBlockProcessorError : Error

    extension CompactBlockProcessorError: LocalizedError

Errors thrown by CompactBlock Processor

- `invalidConfiguration`

  Undocumented

  #### Declaration

  Swift

      case invalidConfiguration

- `missingDbPath(path:)`

  Undocumented

  #### Declaration

  Swift

      case missingDbPath(path: String)

- `dataDbInitFailed(path:)`

  Undocumented

  #### Declaration

  Swift

      case dataDbInitFailed(path: String)

- `connectionError(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case connectionError(underlyingError: Error)

- `grpcError(statusCode:message:)`

  Undocumented

  #### Declaration

  Swift

      case grpcError(statusCode: Int, message: String)

- `connectionTimeout`

  Undocumented

  #### Declaration

  Swift

      case connectionTimeout

- `generalError(message:)`

  Undocumented

  #### Declaration

  Swift

      case generalError(message: String)

- `maxAttemptsReached(attempts:)`

  Undocumented

  #### Declaration

  Swift

      case maxAttemptsReached(attempts: Int)

- `unspecifiedError(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case unspecifiedError(underlyingError: Error)

- `criticalError`

  Undocumented

  #### Declaration

  Swift

      case criticalError

- `invalidAccount`

  Undocumented

  #### Declaration

  Swift

      case invalidAccount

- `wrongConsensusBranchId(expectedLocally:found:)`

  Undocumented

  #### Declaration

  Swift

      case wrongConsensusBranchId(expectedLocally: ConsensusBranchID, found: ConsensusBranchID)

- `networkMismatch(expected:found:)`

  Undocumented

  #### Declaration

  Swift

      case networkMismatch(expected: NetworkType, found: NetworkType)

- `saplingActivationMismatch(expected:found:)`

  Undocumented

  #### Declaration

  Swift

      case saplingActivationMismatch(expected: BlockHeight, found: BlockHeight)

- `errorDescription`

  A localized message describing what error occurred.

  #### Declaration

  Swift

      public var errorDescription: String? { get }

- `failureReason`

  A localized message describing the reason for the failure.

  #### Declaration

  Swift

      public var failureReason: String? { get }

- `recoverySuggestion`

  A localized message describing how one might recover from the failure.

  #### Declaration

  Swift

      public var recoverySuggestion: String? { get }

- `helpAnchor`

  A localized message providing “help” text if the user requests help.

  #### Declaration

  Swift

      public var helpAnchor: String? { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.